Subject: Re: bug#44080: 27.1; Display behavior of overlays `after-string` in resizable minibuffer frames

From: Andrii Kolomoiets <[email-masked]>
Date: Wed, 21 Oct 2020 22:45:11 +0300

Clemens <[email-masked]> writes:

>>  > I did not know `resize-mini-frames` is already allowed to be a
>>  > function, I don't use that feature at all so I'm a bit clueless about
>>  > possible settings. It doesn't look like `window--resize-mini-frame` is
>>  > called anywhere? Is that function meant for users?
>> Yes.  For example with my Emacs 27 it's documented as
>
> I was referring to the `window--resize-mini-frame` which I couldn't find
> any calls for.
>
>> Could you try coding it?  It's straightforward and you could test it
>> immediately and possibly discuss it with the 'mini-frame-mode' people.
>
> I can do it but I'm not so familiar with the Emacs development
> workflow myself. In this case I would clone the latest Emacs and then
> export my changes as a patch and send them here right?

Clemens, if you'll keep the name 'fit-mini-frame-to-buffer' for the new
function, I (as the 'mini-frame-mode' people :)) can replace the call to
'fit-frame-to-buffer' with it in the 'mini-frame-mode' right now.  So
you'll be able to test the new function once you implement it.